Skip to main content
PUT
Update push notification.

Authorizations

Authorization
string
header
required

Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Body

The payload containing the information required to update a push notification.

id
integer<int64>
required

Internal unique identifier of the push notification.

title
string
required

Title of the push notification.

Required string length: 1 - 255
message
string
required

Message content of the push notification. Required if IsReadyToDistribute is set to true.

Required string length: 1 - 256
deliveryDate
string<date-time>
required

The scheduled delivery date of the push notification. Required if IsReadyToDistribute is set to true.

isReadyToDistribute
boolean
required

Indicates whether the notification is ready to be distributed.

name
string | null

Optional name of the push activity. If not provided, the title is used as the activity name.

Maximum string length: 255
expirationDate
string<date-time> | null

Expiration date after which the notifications will no longer be sent.

isSegmented
boolean | null
deprecated

Obsolete. Indicates if the notification is segmented. Use Push.Api.DTO.UpdateNotificationRequest.SegmentationType instead.

segmentationType
enum<integer>
Available options:
0,
1,
2,
3
audienceIds
string[] | null

List of audience IDs targeted by the notification.

storeId
string | null

Identifier for store targeted by the notification

unifiedCampaignId
string | null

Unified campaign identifier

externalId
string | null

External identifier of the notification.

externalUrl
string | null

External URL linked to the content or notification.

authorId
string | null

Identifier of the author who created the content or notification.

authorName
string | null

Name of the author who created the content or notification.

isPrivate
boolean

Indicates whether the content or notification is private (restricted access).

Response

Accepted

id
integer<int64>
Last modified on August 10, 2026